Subject: Re: [bug#70148] [PATCH] guix-install.sh: Add daemonize to requirements.

From: Simon Tournier <[email-masked]>
Date: Wed, 22 May 2024 16:08:08 +0200

Hi,

On sam., 04 mai 2024 at 18:44, Richard Sent <[email-masked]> wrote:

> If OpenRC/systemd does not require daemonize, there's probably a better way to
> handle this. Perhaps a INITD_REQUIRE variable that's only checked
> conditionally depending on what init system is detected (aka INIT_SYS).

This appears to me the best solution.  It seems better that the
requirements stay as minimal as possible for most of users.

Well, maybe another variable as INITD_REQUIRE.  Or maybe a plain test
for this daemonize when the init system is detected; since for now there
is only one extra package, if I read correctly.

Cheers,
simon